package com.huigou.topsun.proofing.application;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.huigou.topsun.proofing.domain.proofingMake.model.ProofingMakeBaseInfo;
import com.huigou.topsun.proofing.domain.proofingMake.query.ProofingMakeQueryRequest;
import com.huigou.topsun.proofing.domain.vo.ProofingMakeVo;
import com.huigou.util.SDO;

import java.util.List;
import java.util.Map;

/**
 * @author yonghuan
 */
public interface ProofingMakeApplication {

    String QUERY_XML_FILE_PATH = "config/topsun/proofing/proofingMake.xml";


    Map<String, Object> slicedProofingMakeQuery(ProofingMakeQueryRequest query);

    /**
     *编辑打样制造信息
     */
    Map<String,Object> saveProofingMake(SDO sdo);


    ProofingMakeVo getProofingMakeVoById(String proofingMakeId);

    Map<String, Object> mappingReplacementMap(ProofingMakeVo vo) throws IllegalAccessException;
    void deleteProofingMakeById(String id);
    void deleteProofingMakeByIds(List<String> ids);
}
